;________________________________________________________________________
;
;                           O P T I O N S . A S M
;________________________________________________________________________
;
; PIC16F84/16C73A project by Byon Garrabrant  N6BG  byon@mail.com  Apr 98
;________________________________________________________________________

#define	OPT_TX_DELAY		D'0'
#define	OPT_MESSAGE		D'1'
#define	OPT_SYMBOL		D'2'
#define	OPT_SYMBOL_TABLE	D'3'
#define	OPT_PATH		D'4'
#define	OPT_AUTO_TIME		D'5'
#define	OPT_MANUAL_TIME		D'6'
#define	OPT_QUIET_TIME		D'7'
#define	OPT_BEACON_RATE		D'8'
#define	OPT_BEACON_OFFSET	D'9'
#define	OPT_CALLSIGN_DIGI	D'10'

;#define	OPT_SPEED_ADJUST	0
;#define	OPT_PTT_SENSE		0

#define	CONFIG_SELECT		PORTA, 4

;________________________________________________________________________

	ORG	H'300'			

Get_Option
	bsf	PCLATH,0
	bsf	PCLATH,1

	btfss	CONFIG_SELECT
	 addlw	D'124'

	call	_Get_Option
	bcf	PCLATH,0
	bcf	PCLATH,1
	return
;________________________________________________________________________

_Get_Option
	addwf	PCL, F

Option1_Start
	dt	D'35'		; number of flags to send
	dt	D'5'		; mic-e message
	dt	'$'		; aprs symbol
	dt	H'2F'		; aprs symbol table
	dt	H'0'		; mic-e path
	dt	D'2'		; auto time in 10 sec (2 = 20 sec)
	dt	D'1'		; manual time in 10 sec (1 = 10 sec)
	dt	D'4'		; quiet time in seconds
	dt	D'3'		; beacon rate	(beacon every third)
	dt	Beacon1_Start - Option1_Start  ; beacon offset

	dt	"N6BG  ", D'0' + H'30'	; callsign and digis
	dt	0
Beacon1_Start
	dt	" byon@mail.com"	; beacon
	dt	0
;________________________________________________________________________

	ORG	Option1_Start + D'124'

Option2_Start
	dt	D'35'		; number of flags to send
	dt	D'5'		; mic-e message
	dt	'L'		; aprs symbol
	dt	H'2F'		; aprs symbol table
	dt	H'0'		; mic-e path
	dt	D'12'		; auto time in 10 sec (12 = 2 min)
	dt	D'6'		; manual time in 10 sec (6 = 1 min)
	dt	D'4'		; quiet time in seconds
	dt	D'3'		; beacon rate	(beacon every third)
	dt	Beacon2_Start - Option2_Start  ; beacon offset

	dt	"KD6AYO", D'0' + H'30'	; callsign and digis
	dt	0
Beacon2_Start
	dt	" kd6ayo@qsl.net"	; beacon
	dt	0
;________________________________________________________________________











					